CVE-2014-9765 (retired)

Priority
Description
Buffer overflow in the main_get_appheader function in xdelta3-main.h in
xdelta3 before 3.0.9 allows remote attackers to execute arbitrary code via
a crafted input file.
Notes
 sbeattie> xdelta3 < 3.0.9
Assigned-to
mdeslaur
Package
Upstream:released (3.0.9)
Ubuntu 14.04 LTS (Trusty Tahr):released (3.0.7-dfsg-2ubuntu0.2)
Ubuntu 16.04 LTS (Xenial Xerus):released (3.0.8-dfsg-1ubuntu2)
Patches:
Upstream:https://github.com/jmacd/xdelta-devel/commit/ef93ff74203e030073b898c05e8b4860b5d09ef2
More Information

Updated: 2019-03-26 12:13:58 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)